Examples

POST /katello/api/alternate_content_sources
{
  "name": "Yum ACS_test_create_custom_with_simplified_params",
  "smart_proxy_ids": [
    767380118
  ],
  "http_proxy_id": 1022235459,
  "ssl_ca_cert_id": 948279029,
  "ssl_client_cert_id": 621641280,
  "ssl_client_key_id": 722207034,
  "content_type": "yum",
  "base_url": "https://fixtures.pulpproject.org/",
  "subpaths": [
    "content/",
    "isos/",
    "packages/"
  ],
  "alternate_content_source_type": "custom",
  "verify_ssl": true,
  "use_http_proxies": null,
  "upstream_username": "admin",
  "upstream_password": "changeme",
  "product_ids": [
    785257261
  ],
  "alternate_content_source": {
    "name": "Yum ACS_test_create_custom_with_simplified_params",
    "ssl_ca_cert_id": 948279029,
    "ssl_client_cert_id": 621641280,
    "ssl_client_key_id": 722207034,
    "base_url": "https://fixtures.pulpproject.org/",
    "subpaths": [
      "content/",
      "isos/",
      "packages/"
    ],
    "content_type": "yum",
    "alternate_content_source_type": "custom",
    "verify_ssl": true,
    "upstream_username": "admin",
    "upstream_password": "changeme",
    "use_http_proxies": null,
    "smart_proxy_ids": [
      767380118
    ],
    "product_ids": [
      785257261
    ]
  }
}
422
{
  "message": "Validation failed: Product ids cannot be set for custom or rhui ACS",
  "errors": {
    "product_ids": [
      "cannot be set for custom or rhui ACS"
    ]
  }
}

Params

Param name Description
content_type
optional

The content type for the Alternate Content Source

Validations:

  • Must be one of: deb, file, yum.

alternate_content_source_type
optional

The Alternate Content Source type

Validations:

  • Must be one of: custom, simplified, rhui.

name
optional

Name of the alternate content source

Validations:

  • String

description
optional

Description for the alternate content source

Validations:

  • String

base_url
optional

Base URL for finding alternate content

Validations:

  • String

subpaths
optional

Path suffixes for finding alternate content

Validations:

  • Must be an array of any type

deb_releases
optional

Debian releases/distributions (e.g., trixie, bookworm)

Validations:

  • String

deb_components
optional

Debian components (e.g., main, contrib)

Validations:

  • String

deb_architectures
optional

Debian architectures (e.g., amd64, arm64)

Validations:

  • String

smart_proxy_ids
optional

Ids of smart proxies to associate

Validations:

  • Must be an array of any type

smart_proxy_names
optional

Names of smart proxies to associate

Validations:

  • Must be an array of any type

upstream_username
optional

Basic authentication username

Validations:

  • String

upstream_password
optional

Basic authentication password

Validations:

  • String

ssl_ca_cert_id
optional

Identifier of the content credential containing the SSL CA Cert

Validations:

  • Must be a number.

ssl_client_cert_id
optional

Identifier of the content credential containing the SSL Client Cert

Validations:

  • Must be a number.

ssl_client_key_id
optional

Identifier of the content credential containing the SSL Client Key

Validations:

  • Must be a number.

verify_ssl
optional

If SSL should be verified for the upstream URL

Validations:

  • Must be one of: true, false, 1, 0.

use_http_proxies
optional

If the smart proxies’ assigned HTTP proxies should be used

Validations:

  • Must be one of: true, false, 1, 0.

product_ids
optional

IDs of products to copy repository information from into a Simplified Alternate Content Source. Products must include at least one repository of the chosen content type.

Validations:

  • Must be an array of any type